package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0202
 * @Description : 新生儿入院体重填写错误
 * @Author : 胡敬
 * @Date: 2020-03-14 16:28
 */
@Component
public class FIRP0202 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String newbornAdmisWeightStr = firstpageStructureMap.get(Content.newbornAdmisWeight);
            if (CatalogueUtil.isEmpty(newbornAdmisWeightStr) || !CatalogueUtil.numbersOnly(newbornAdmisWeightStr)) {
                return;
            }
            double newbornAdmisWeight = Double.parseDouble(newbornAdmisWeightStr);
            if (newbornAdmisWeight / 1000 >= 1) {
                newbornAdmisWeight = newbornAdmisWeight / 1000;
            }
            if (newbornAdmisWeight <= 1 || newbornAdmisWeight >= 10) {
                status.set("-1");
            }
        }
    }
}